<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="20037" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="20020"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="ContactsListView">
            <connections>
                <outlet property="addButton" destination="6" id="91"/>
                <outlet property="allButton" destination="4" id="27"/>
                <outlet property="ldapMoreResultsLabel" destination="cZe-o2-EwD" id="p0n-iU-obg"/>
                <outlet property="linphoneButton" destination="5" id="31"/>
                <outlet property="loadingLabel" destination="nZM-iU-f3G" id="AOO-XI-zRz"/>
                <outlet property="loadingView" destination="TYF-3X-x9Z" id="rzZ-kZ-2fv"/>
                <outlet property="searchBar" destination="5jE-oF-d45" id="xfS-xo-2Bm"/>
                <outlet property="selectedButtonImage" destination="A9k-KU-Dlm" id="4dX-pd-Y2D"/>
                <outlet property="tableController" destination="TJG-JZ-YRR" id="0lt-gC-EOm"/>
                <outlet property="toggleSelectionButton" destination="5lZ-u7-Yex" id="ULR-WM-Yuo"/>
                <outlet property="topBar" destination="3" id="w1O-2o-b18"/>
                <outlet property="view" destination="2" id="16"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="1YR-9t-hRk" userLabel="iphone6MetricsView">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <view contentMode="scaleToFill" fixedFrame="YES" translatesAutoresizingMaskIntoConstraints="NO" id="2">
                    <rect key="frame" x="0.0" y="42" width="375" height="559"/>
                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                    <subviews>
                        <view alpha="0.90000000000000002" contentMode="scaleToFill" fixedFrame="YES" translatesAutoresizingMaskIntoConstraints="NO" id="3" userLabel="topBar">
                            <rect key="frame" x="0.0" y="0.0" width="375" height="66"/>
                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMaxY="YES"/>
                            <subviews>
                                <view contentMode="scaleToFill" fixedFrame="YES" translatesAutoresizingMaskIntoConstraints="NO" id="93" userLabel="switchView">
                                    <rect key="frame" x="0.0" y="0.0" width="150" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <subviews>
                                        <button hidden="YES" opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="4" userLabel="allButton" customClass="UIInterfaceStyleButton">
                                            <rect key="frame" x="0.0" y="0.0" width="75" height="66"/>
                                            <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                            <accessibility key="accessibilityConfiguration" label="All contacts filter"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="9"/>
                                            <inset key="titleEdgeInsets" minX="-38" minY="15" maxX="0.0" maxY="0.0"/>
                                            <inset key="imageEdgeInsets" minX="16" minY="0.0" maxX="0.0" maxY="0.0"/>
                                            <state key="normal" image="contacts_all_default.png">
                                                <color key="titleColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                            </state>
                                            <state key="disabled" image="contacts_all_disabled.png"/>
                                            <state key="selected" image="contacts_all_selected.png">
                                                <color key="titleColor" red="0.0" green="0.20000000000000001" blue="0.62745098040000002" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                            </state>
                                            <state key="highlighted" backgroundImage="color_E.png"/>
                                            <connections>
                                                <action selector="onAllClick:" destination="-1" eventType="touchUpInside" id="29"/>
                                            </connections>
                                        </button>
                                        <imageView hidden="YES" userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" image="color_A.png" translatesAutoresizingMaskIntoConstraints="NO" id="A9k-KU-Dlm" userLabel="selectedButtonImage">
                                            <rect key="frame" x="0.0" y="63" width="75" height="3"/>
                                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                        </imageView>
                                        <button hidden="YES" opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5" userLabel="sipButton" customClass="UIInterfaceStyleButton">
                                            <rect key="frame" x="75" y="0.0" width="75" height="66"/>
                                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" heightSizable="YES"/>
                                            <accessibility key="accessibilityConfiguration" label="Linphone contacts filter"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="9"/>
                                            <state key="normal" image="contacts_sip_default.png">
                                                <color key="titleColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                            </state>
                                            <state key="disabled" image="contacts_sip_disabled.png"/>
                                            <state key="selected" image="contacts_sip_selected.png">
                                                <color key="titleColor" red="0.0" green="0.20000000000000001" blue="0.62745098040000002" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                            </state>
                                            <state key="highlighted" backgroundImage="color_E.png"/>
                                            <connections>
                                                <action selector="onLinphoneClick:" destination="-1" eventType="touchUpInside" id="47"/>
                                            </connections>
                                        </button>
                                    </subviews>
                                </view>
                                <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Igj-kS-0fV" userLabel="cernPhoneBook" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="0.0" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <accessibility key="accessibilityConfiguration" label="Delete all"/>
                                    <inset key="imageEdgeInsets" minX="10" minY="10" maxX="10" maxY="10"/>
                                    <state key="normal" image="cern_logo_ab.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onCerphoneBookClicked:" destination="-1" eventType="touchUpInside" id="tuj-Ad-bkJ"/>
                                    </connections>
                                </button>
                                <button hidden="YES" opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="MZP-cb-ntf" userLabel="cancelButton" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="0.0" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <color key="backgroundColor" systemColor="secondarySystemBackgroundColor"/>
                                    <accessibility key="accessibilityConfiguration" label="Delete all"/>
                                    <state key="normal" image="cancel_edit_default.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="disabled" image="cancel_edit_disabled.png"/>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onCancelClick:" destination="TJG-JZ-YRR" eventType="touchUpInside" id="1nW-5f-kbI"/>
                                        <action selector="onEditionChangeClick:" destination="-1" eventType="touchUpInside" id="PL4-Js-Xvg"/>
                                    </connections>
                                </button>
                                <button hidden="YES" opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="tFB-Vf-lUX" userLabel="deleteButton" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="300" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <color key="backgroundColor" systemColor="secondarySystemBackgroundColor"/>
                                    <accessibility key="accessibilityConfiguration" label="Delete all"/>
                                    <inset key="titleEdgeInsets" minX="0.0" minY="18" maxX="0.0" maxY="0.0"/>
                                    <state key="normal" image="delete_default.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="disabled" image="delete_disabled.png"/>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onDeleteClick:" destination="-1" eventType="touchUpInside" id="VJS-p2-Jsp"/>
                                    </connections>
                                </button>
                                <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="DZc-zR-1Q7" userLabel="editButton" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="300" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <accessibility key="accessibilityConfiguration" label="Edit"/>
                                    <inset key="titleEdgeInsets" minX="0.0" minY="18" maxX="0.0" maxY="0.0"/>
                                    <state key="normal" image="delete_default.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="disabled" image="delete_disabled.png"/>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onEditClick:" destination="TJG-JZ-YRR" eventType="touchUpInside" id="CKU-6b-3F2"/>
                                        <action selector="onEditionChangeClick:" destination="-1" eventType="touchUpInside" id="uvi-82-4ka"/>
                                    </connections>
                                </button>
                                <button hidden="YES" opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" adjustsImageWhenHighlighted="NO" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5lZ-u7-Yex" userLabel="toggleSelectionButton" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="225" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <accessibility key="accessibilityConfiguration" label="Select all"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                    <inset key="titleEdgeInsets" minX="0.0" minY="18" maxX="0.0" maxY="0.0"/>
                                    <state key="normal" image="deselect_all.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="disabled" image="select_all_disabled.png"/>
                                    <state key="selected" image="select_all_default.png"/>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onSelectionToggle:" destination="TJG-JZ-YRR" eventType="touchUpInside" id="YcH-HT-zyi"/>
                                    </connections>
                                </button>
                                <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="6" userLabel="addButton" customClass="UIInterfaceStyleButton">
                                    <rect key="frame" x="225" y="0.0" width="75" height="66"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES"/>
                                    <accessibility key="accessibilityConfiguration" label="Add contact"/>
                                    <inset key="titleEdgeInsets" minX="0.0" minY="18" maxX="0.0" maxY="0.0"/>
                                    <state key="normal" image="contact_add_default.png">
                                        <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </state>
                                    <state key="disabled" image="contact_add_disabled.png"/>
                                    <state key="highlighted" backgroundImage="color_E.png"/>
                                    <connections>
                                        <action selector="onAddContactClick:" destination="-1" eventType="touchUpInside" id="86"/>
                                    </connections>
                                </button>
                            </subviews>
                            <color key="backgroundColor" systemColor="secondarySystemBackgroundColor"/>
                        </view>
                        <searchBar contentMode="redraw" fixedFrame="YES" showsCancelButton="YES" translatesAutoresizingMaskIntoConstraints="NO" id="5jE-oF-d45" userLabel="searchBar">
                            <rect key="frame" x="0.0" y="66" width="375" height="44"/>
                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMaxY="YES"/>
                            <textInputTraits key="textInputTraits"/>
                            <connections>
                                <outlet property="delegate" destination="-1" id="Fk3-Tl-dY0"/>
                            </connections>
                        </searchBar>
                        <tableView clipsSubviews="YES" contentMode="scaleToFill" fixedFrame="YES" alwaysBounceVertical="YES" style="plain" separatorStyle="default" allowsSelectionDuringEditing="YES" allowsMultipleSelectionDuringEditing="YES" rowHeight="44" sectionHeaderHeight="22" sectionFooterHeight="22" translatesAutoresizingMaskIntoConstraints="NO" id="zOo-FS-W6l" userLabel="tableView">
                            <rect key="frame" x="0.0" y="110" width="375" height="449"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES" flexibleMaxY="YES"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <inset key="scrollIndicatorInsets" minX="0.0" minY="0.0" maxX="0.0" maxY="10"/>
                            <color key="separatorColor" red="0.67030966281890869" green="0.71867996454238892" blue="0.75078284740447998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <connections>
                                <outlet property="dataSource" destination="TJG-JZ-YRR" id="334-RR-jEi"/>
                                <outlet property="delegate" destination="TJG-JZ-YRR" id="V1N-gI-U4J"/>
                            </connections>
                        </tableView>
                        <label hidden="YES" opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" text="More results are available, refine search to see them" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="cZe-o2-EwD" userLabel="ldapMoreResultsLabel">
                            <rect key="frame" x="10" y="110" width="359" height="18"/>
                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES" flexibleMaxY="YES"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <fontDescription key="fontDescription" type="system" pointSize="13"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <label hidden="YES" opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" text="No contact found in your address book" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="JR3-k7-gVP" userLabel="emptyTableLabel">
                            <rect key="frame" x="0.0" y="110" width="375" height="449"/>
                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" heightSizable="YES" flexibleMaxY="YES"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <view hidden="YES" alpha="0.80000001192092896" contentMode="scaleToFill" id="TYF-3X-x9Z">
                            <rect key="frame" x="0.0" y="110" width="375" height="449"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES" flexibleMaxY="YES"/>
                            <subviews>
                                <activityIndicatorView opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" fixedFrame="YES" animating="YES" style="medium" translatesAutoresizingMaskIntoConstraints="NO" id="wyk-AT-OTn">
                                    <rect key="frame" x="80" y="8" width="20" height="20"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                </activityIndicatorView>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Loading contacts..." textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="nZM-iU-f3G">
                                    <rect key="frame" x="108" y="8" width="145" height="21"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                    <nil key="textColor"/>
                                    <nil key="highlightedColor"/>
                                </label>
                            </subviews>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        </view>
                    </subviews>
                </view>
            </subviews>
            <color key="backgroundColor" red="1" green="1" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <point key="canvasLocation" x="5.7971014492753632" y="141.96428571428569"/>
        </view>
        <tableViewController id="TJG-JZ-YRR" userLabel="tableController" customClass="ContactsListTableView">
            <connections>
                <outlet property="cancelButton" destination="MZP-cb-ntf" id="4Hf-l6-Qyp"/>
                <outlet property="deleteButton" destination="tFB-Vf-lUX" id="dF5-uF-nhK"/>
                <outlet property="editButton" destination="DZc-zR-1Q7" id="TkL-MM-OFA"/>
                <outlet property="emptyView" destination="JR3-k7-gVP" id="3vV-F3-Eit"/>
                <outlet property="toggleSelectionButton" destination="5lZ-u7-Yex" id="C99-nu-2wJ"/>
                <outlet property="view" destination="zOo-FS-W6l" id="cM7-Da-i7e"/>
            </connections>
            <point key="canvasLocation" x="739.13043478260875" y="137.94642857142856"/>
        </tableViewController>
    </objects>
    <resources>
        <image name="cancel_edit_default.png" width="47.200000762939453" height="47.200000762939453"/>
        <image name="cancel_edit_disabled.png" width="47.200000762939453" height="47.200000762939453"/>
        <image name="cern_logo_ab.png" width="129" height="126"/>
        <image name="color_A.png" width="2" height="2"/>
        <image name="color_E.png" width="2" height="2"/>
        <image name="contact_add_default.png" width="55.200000762939453" height="47.200000762939453"/>
        <image name="contact_add_disabled.png" width="55.200000762939453" height="47.200000762939453"/>
        <image name="contacts_all_default.png" width="52" height="44"/>
        <image name="contacts_all_disabled.png" width="52" height="44"/>
        <image name="contacts_all_selected.png" width="52" height="44"/>
        <image name="contacts_sip_default.png" width="39.5" height="39.5"/>
        <image name="contacts_sip_disabled.png" width="38" height="30"/>
        <image name="contacts_sip_selected.png" width="39.5" height="39.5"/>
        <image name="delete_default.png" width="34.400001525878906" height="44.799999237060547"/>
        <image name="delete_disabled.png" width="34.400001525878906" height="44.799999237060547"/>
        <image name="deselect_all.png" width="43.200000762939453" height="43.200000762939453"/>
        <image name="select_all_default.png" width="43.200000762939453" height="43.200000762939453"/>
        <image name="select_all_disabled.png" width="43.200000762939453" height="43.200000762939453"/>
        <systemColor name="secondarySystemBackgroundColor">
            <color red="0.94901960784313721" green="0.94901960784313721" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
